-- phpMyAdmin SQL Dump
-- version 4.8.3
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Oct 08, 2018 at 10:02 AM
-- Server version: 10.1.36-MariaDB
-- PHP Version: 5.6.38

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `sismcsch_appujian`
--
CREATE DATABASE IF NOT EXISTS `sismcsch_appujian` DEFAULT CHARACTER SET latin1 COLLATE latin1_swedish_ci;
USE `sismcsch_appujian`;

-- --------------------------------------------------------

--
-- Table structure for table `tb_admin`
--

CREATE TABLE `tb_admin` (
  `admin_id` int(11) NOT NULL,
  `email` varchar(30) NOT NULL,
  `pass` varchar(32) NOT NULL,
  `foto` varchar(255) DEFAULT NULL,
  `nama` varchar(30) NOT NULL,
  `kelamin` enum('Laki-Laki','Perempuan') DEFAULT NULL,
  `level` enum('admin','user') DEFAULT 'user',
  `tgl` date DEFAULT NULL,
  `jam` time DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tb_admin`
--

INSERT INTO `tb_admin` (`admin_id`, `email`, `pass`, `foto`, `nama`, `kelamin`, `level`, `tgl`, `jam`) VALUES
(1, 'admin', '21232f297a57a5a743894a0e4a801fc3', NULL, 'Erik Sanjaya', 'Laki-Laki', 'admin', NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `tb_guru`
--

CREATE TABLE `tb_guru` (
  `guru_id` int(11) NOT NULL,
  `nip` varchar(30) NOT NULL,
  `pass` varchar(255) NOT NULL,
  `foto` varchar(255) NOT NULL,
  `nama` varchar(255) NOT NULL,
  `kelamin` enum('Laki-Laki','Perempuan') NOT NULL,
  `blokir` enum('n','y') NOT NULL DEFAULT 'n',
  `tgl` date NOT NULL,
  `jam` time NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tb_guru`
--

INSERT INTO `tb_guru` (`guru_id`, `nip`, `pass`, `foto`, `nama`, `kelamin`, `blokir`, `tgl`, `jam`) VALUES
(1, '123456', 'e10adc3949ba59abbe56e057f20f883e', '', 'Agung', 'Laki-Laki', 'n', '2018-10-08', '14:17:03');

-- --------------------------------------------------------

--
-- Table structure for table `tb_identitas`
--

CREATE TABLE `tb_identitas` (
  `identitas_id` int(11) NOT NULL,
  `sekolah` varchar(100) DEFAULT NULL,
  `telp` varchar(255) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `alamat` varchar(255) DEFAULT NULL,
  `judul` varchar(50) DEFAULT NULL,
  `deskripsi` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tb_identitas`
--

INSERT INTO `tb_identitas` (`identitas_id`, `sekolah`, `telp`, `email`, `alamat`, `judul`, `deskripsi`) VALUES
(1, 'SMA Negeri 1 Online', NULL, NULL, 'Jalan Prof. M. Yamin, Pontianak', 'Aplikasi Ujian Online', 'Selamat datang di media Ujian Online');

-- --------------------------------------------------------

--
-- Table structure for table `tb_kelas`
--

CREATE TABLE `tb_kelas` (
  `kelas_id` int(11) NOT NULL,
  `kelas` varchar(11) DEFAULT NULL,
  `blokir` enum('y','n') DEFAULT 'n'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tb_kelas`
--

INSERT INTO `tb_kelas` (`kelas_id`, `kelas`, `blokir`) VALUES
(1, 'X', 'n'),
(2, 'XI', 'n'),
(3, 'XII', 'n');

-- --------------------------------------------------------

--
-- Table structure for table `tb_kelas_sub`
--

CREATE TABLE `tb_kelas_sub` (
  `kelas_sub_id` int(11) NOT NULL,
  `kelas_id` int(11) NOT NULL,
  `nama_kelas` varchar(255) CHARACTER SET utf8 NOT NULL,
  `blokir` enum('y','n') DEFAULT 'n'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tb_kelas_sub`
--

INSERT INTO `tb_kelas_sub` (`kelas_sub_id`, `kelas_id`, `nama_kelas`, `blokir`) VALUES
(1, 3, 'XII A', 'n'),
(2, 2, 'XI B', 'n'),
(3, 1, 'X A', 'n'),
(4, 1, 'X B', 'n'),
(5, 2, 'XI A', 'n'),
(6, 3, 'XII B', 'n');

-- --------------------------------------------------------

--
-- Table structure for table `tb_mapel`
--

CREATE TABLE `tb_mapel` (
  `mapel_id` int(11) NOT NULL,
  `mata_pelajaran` varchar(255) NOT NULL,
  `blokir` enum('y','n') DEFAULT 'n'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tb_mapel`
--

INSERT INTO `tb_mapel` (`mapel_id`, `mata_pelajaran`, `blokir`) VALUES
(1, 'Agama Islam', 'n'),
(2, 'Matematika', 'n'),
(3, 'Bahasa Indonesia', 'n'),
(4, 'Ekonomi', 'n');

-- --------------------------------------------------------

--
-- Table structure for table `tb_materi_soal`
--

CREATE TABLE `tb_materi_soal` (
  `materi_soal_id` int(11) NOT NULL,
  `guru_id` int(11) DEFAULT NULL,
  `pilih_mapel_id` int(11) DEFAULT NULL,
  `materi` varchar(255) DEFAULT NULL,
  `blokir` enum('y','n') DEFAULT 'n'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tb_materi_soal`
--

INSERT INTO `tb_materi_soal` (`materi_soal_id`, `guru_id`, `pilih_mapel_id`, `materi`, `blokir`) VALUES
(1, 1, 1, 'Rukun Islam', 'n');

-- --------------------------------------------------------

--
-- Table structure for table `tb_nilai_guru`
--

CREATE TABLE `tb_nilai_guru` (
  `nilai_id` int(11) NOT NULL,
  `siswa_id` int(11) DEFAULT NULL,
  `materi_soal_id` int(11) DEFAULT NULL,
  `benar` tinyint(3) DEFAULT NULL,
  `salah` tinyint(3) DEFAULT NULL,
  `nilai` tinyint(3) DEFAULT NULL,
  `tgl` date DEFAULT NULL,
  `jam` time DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tb_nilai_guru`
--

INSERT INTO `tb_nilai_guru` (`nilai_id`, `siswa_id`, `materi_soal_id`, `benar`, `salah`, `nilai`, `tgl`, `jam`) VALUES
(1, 1, 1, 1, 0, 100, '2018-10-08', '14:19:08');

-- --------------------------------------------------------

--
-- Table structure for table `tb_nilai_siswa`
--

CREATE TABLE `tb_nilai_siswa` (
  `nilai_id` int(11) NOT NULL,
  `siswa_id` int(11) DEFAULT NULL,
  `materi_soal_id` int(11) DEFAULT NULL,
  `benar` tinyint(3) DEFAULT NULL,
  `salah` tinyint(3) DEFAULT NULL,
  `nilai` tinyint(3) DEFAULT NULL,
  `tgl` date DEFAULT NULL,
  `jam` time DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tb_nilai_siswa`
--

INSERT INTO `tb_nilai_siswa` (`nilai_id`, `siswa_id`, `materi_soal_id`, `benar`, `salah`, `nilai`, `tgl`, `jam`) VALUES
(1, 1, 1, 1, 0, 100, '2018-10-08', '14:19:08');

-- --------------------------------------------------------

--
-- Table structure for table `tb_pilih_kelas`
--

CREATE TABLE `tb_pilih_kelas` (
  `pilih_kelas_id` int(11) NOT NULL,
  `guru_id` int(11) DEFAULT NULL,
  `kelas_sub_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tb_pilih_kelas`
--

INSERT INTO `tb_pilih_kelas` (`pilih_kelas_id`, `guru_id`, `kelas_sub_id`) VALUES
(1, 1, 3);

-- --------------------------------------------------------

--
-- Table structure for table `tb_pilih_mapel`
--

CREATE TABLE `tb_pilih_mapel` (
  `pilih_mapel_id` int(11) NOT NULL,
  `guru_id` int(11) DEFAULT NULL,
  `mapel_id` int(11) DEFAULT NULL,
  `pilih` enum('y','n') DEFAULT 'y'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tb_pilih_mapel`
--

INSERT INTO `tb_pilih_mapel` (`pilih_mapel_id`, `guru_id`, `mapel_id`, `pilih`) VALUES
(1, 1, 1, 'y');

-- --------------------------------------------------------

--
-- Table structure for table `tb_set`
--

CREATE TABLE `tb_set` (
  `set_id` int(11) NOT NULL,
  `set` varchar(255) DEFAULT NULL,
  `keterangan` varchar(255) DEFAULT NULL,
  `status` enum('on','off') DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tb_set`
--

INSERT INTO `tb_set` (`set_id`, `set`, `keterangan`, `status`) VALUES
(1, 'formdaftar', 'Form Daftar Siswa', 'on'),
(2, 'editkelas', 'Edit Kelas untuk Siswa', 'off');

-- --------------------------------------------------------

--
-- Table structure for table `tb_siswa`
--

CREATE TABLE `tb_siswa` (
  `siswa_id` int(11) NOT NULL,
  `kelas_sub_id` int(11) NOT NULL,
  `id` int(11) DEFAULT NULL,
  `nis` varchar(30) NOT NULL,
  `pass` varchar(255) NOT NULL,
  `foto` varchar(225) NOT NULL,
  `cover` varchar(255) DEFAULT NULL,
  `nama` varchar(255) NOT NULL,
  `panggilan` varchar(255) DEFAULT NULL,
  `kelamin` enum('Laki-Laki','Perempuan') NOT NULL,
  `alumni` enum('y','n') DEFAULT 'n',
  `tgl` date NOT NULL,
  `jam` time NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tb_siswa`
--

INSERT INTO `tb_siswa` (`siswa_id`, `kelas_sub_id`, `id`, `nis`, `pass`, `foto`, `cover`, `nama`, `panggilan`, `kelamin`, `alumni`, `tgl`, `jam`) VALUES
(1, 3, 181008, '123', '202cb962ac59075b964b07152d234b70', '', NULL, 'SIFA', NULL, 'Laki-Laki', 'n', '2018-10-08', '14:16:54');

-- --------------------------------------------------------

--
-- Table structure for table `tb_soal`
--

CREATE TABLE `tb_soal` (
  `soal_id` int(11) NOT NULL,
  `materi_soal_id` int(11) NOT NULL,
  `soal` text CHARACTER SET utf8 NOT NULL,
  `a` text,
  `b` text,
  `c` text,
  `d` text,
  `e` text,
  `jawaban` enum('a','b','c','d','e') NOT NULL,
  `tgl` date DEFAULT NULL,
  `jam` time DEFAULT NULL,
  `blokir` enum('y','n') DEFAULT 'n'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tb_soal`
--

INSERT INTO `tb_soal` (`soal_id`, `materi_soal_id`, `soal`, `a`, `b`, `c`, `d`, `e`, `jawaban`, `tgl`, `jam`, `blokir`) VALUES
(1, 1, '<p>Rukun Islam ada berapa ?</p>\r\n', '<p>5</p>\r\n', '<p>4</p>\r\n', '<p>2</p>\r\n', '<p>3</p>\r\n', '<p>6</p>\r\n', 'a', '2018-10-08', '14:18:17', 'n');

-- --------------------------------------------------------

--
-- Table structure for table `tb_soal_aktif`
--

CREATE TABLE `tb_soal_aktif` (
  `soal_aktif_id` int(11) NOT NULL,
  `materi_soal_id` int(11) DEFAULT NULL,
  `kelas_sub_id` int(11) DEFAULT NULL,
  `menit` int(11) DEFAULT NULL,
  `detik` int(11) DEFAULT NULL,
  `aktif` enum('aktif','-') DEFAULT 'aktif',
  `tgl` date DEFAULT NULL,
  `jam` time DEFAULT NULL,
  `selesai` time DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tb_soal_aktif`
--

INSERT INTO `tb_soal_aktif` (`soal_aktif_id`, `materi_soal_id`, `kelas_sub_id`, `menit`, `detik`, `aktif`, `tgl`, `jam`, `selesai`) VALUES
(1, 1, 3, 120, 7200, 'aktif', '2018-10-08', '14:18:26', '16:18:26');

-- --------------------------------------------------------

--
-- Table structure for table `ujian_kerjakan`
--

CREATE TABLE `ujian_kerjakan` (
  `kerjakan_id` int(11) NOT NULL,
  `kerjakan_userid` int(11) DEFAULT NULL,
  `kerjakan_data` text,
  `kerjakan_status` enum('mulai','selesai') DEFAULT NULL,
  `kerjakan_createdate` datetime DEFAULT NULL,
  `kerjakan_lastupdate` datetime DEFAULT NULL,
  `kerjakan_info` enum('mengerjakan','history') DEFAULT 'mengerjakan',
  `kerjakan_soalaktifid` int(11) DEFAULT NULL,
  `kerjakan_materisoalid` int(11) DEFAULT NULL,
  `kerjakan_mulai` datetime DEFAULT NULL,
  `kerjakan_selesai` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `ujian_kerjakan`
--

INSERT INTO `ujian_kerjakan` (`kerjakan_id`, `kerjakan_userid`, `kerjakan_data`, `kerjakan_status`, `kerjakan_createdate`, `kerjakan_lastupdate`, `kerjakan_info`, `kerjakan_soalaktifid`, `kerjakan_materisoalid`, `kerjakan_mulai`, `kerjakan_selesai`) VALUES
(1, 1, '{\"mulai\":\"2018-10-08 14:18:26\",\"selesai\":\"2018-10-08 16:18:26\",\"soal\":[{\"soal_aktif_id\":\"1\",\"materi_soal_id\":\"1\",\"kelas_sub_id\":\"3\",\"menit\":\"120\",\"detik\":\"7200\",\"aktif\":\"aktif\",\"tgl\":\"2018-10-08\",\"jam\":\"14:18:26\",\"guru_id\":\"1\",\"pilih_mapel_id\":\"1\",\"materi\":\"Rukun Islam\",\"mapel_id\":\"1\",\"mata_pelajaran\":\"Agama Islam\",\"nip\":\"123456\",\"nama_guru\":\"Agung\",\"siswa_id\":\"1\",\"nis\":\"123\",\"nama\":\"SIFA\",\"soal_id\":\"1\",\"soal\":\"Rukun Islam ada berapa ? \",\"a\":\"5 \",\"b\":\"4 \",\"c\":\"2 \",\"d\":\"3 \",\"e\":\"6 \",\"jawaban\":\"a\",\"blokir\":\"n\"}],\"jawaban\":{\"1\":\"a\"}}', 'selesai', '2018-10-08 14:18:54', '2018-10-08 14:19:14', 'history', 1, 1, '2018-10-08 14:18:26', '2018-10-08 16:18:26');

-- --------------------------------------------------------

--
-- Table structure for table `ujian_menu`
--

CREATE TABLE `ujian_menu` (
  `menu_id` int(11) NOT NULL,
  `menu_icon` varchar(255) DEFAULT NULL,
  `menu_nama` varchar(255) DEFAULT NULL,
  `menu_url` varchar(255) DEFAULT NULL,
  `menu_isadmin` varchar(255) DEFAULT NULL,
  `menu_isguru` varchar(255) DEFAULT NULL,
  `menu_issiswa` varchar(255) DEFAULT NULL,
  `menu_status` enum('0','1') DEFAULT '1',
  `menu_sort` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `ujian_menu`
--

INSERT INTO `ujian_menu` (`menu_id`, `menu_icon`, `menu_nama`, `menu_url`, `menu_isadmin`, `menu_isguru`, `menu_issiswa`, `menu_status`, `menu_sort`) VALUES
(1, 'fa fa-home', 'Beranda', '?q=beranda', '1', '1', '1', '1', NULL),
(2, 'fa fa-user', 'Profil', '?q=profil', '1', '1', '1', '1', NULL),
(3, 'fa fa-database', 'Master Data', '', '1', '', '', '1', NULL),
(4, 'fa fa-gear', 'Pengaturan', NULL, '1', '1', NULL, '1', NULL),
(5, 'fa fa-laptop', 'Tugas', NULL, NULL, '1', '', '1', NULL),
(6, 'fa fa-laptop', 'Tugas', '?q=pilih-soal', NULL, NULL, '1', '1', NULL),
(7, 'fa fa-clone', 'Nilai', '?q=lihat-nilai', NULL, NULL, '1', '1', NULL),
(8, 'fa fa-sign-out', 'Keluar', 'logout.php', '1', '1', '1', '1', NULL);

-- --------------------------------------------------------

--
-- Table structure for table `ujian_menu_detail`
--

CREATE TABLE `ujian_menu_detail` (
  `menudetail_id` int(11) NOT NULL,
  `menudetail_menuid` int(11) DEFAULT NULL,
  `menudetail_icon` varchar(255) DEFAULT NULL,
  `menudetail_nama` varchar(255) DEFAULT NULL,
  `menudetail_url` varchar(255) DEFAULT NULL,
  `menudetail_isadmin` varchar(255) DEFAULT NULL,
  `menudetail_isguru` varchar(255) DEFAULT NULL,
  `menudetail_status` enum('0','1') DEFAULT '1',
  `menudetail_sort` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `ujian_menu_detail`
--

INSERT INTO `ujian_menu_detail` (`menudetail_id`, `menudetail_menuid`, `menudetail_icon`, `menudetail_nama`, `menudetail_url`, `menudetail_isadmin`, `menudetail_isguru`, `menudetail_status`, `menudetail_sort`) VALUES
(1, 3, 'fa fa-street-view', 'Guru', '?q=guru', '1', NULL, '1', '4'),
(2, 3, 'fa fa-street-view', 'Siswa', '?q=siswa', '1', NULL, '1', '5'),
(3, 3, 'fa fa-server', 'Kelas', '?q=kelas', '1', NULL, '1', '1'),
(4, 3, 'fa fa-server', 'Kelas Detail', '?q=sub_kelas', '1', NULL, '1', '2'),
(5, 3, 'fa  fa-file-text', 'Mata Pelajaran', '?q=mapel', '1', NULL, '1', '3'),
(6, 4, 'fa fa-list-alt', 'Ambil Kelas', '?q=pilih-kelas', NULL, '1', '1', NULL),
(7, 4, 'fa fa-list-alt', 'Pilih Mapel', '?q=pilih-mapel', NULL, '1', '1', NULL),
(8, 5, 'fa fa-list-alt', 'Materi Soal', '?q=materi-soal', NULL, '1', '1', NULL),
(9, 5, 'fa-file-text', 'Buat Tugas', '?q=buat-soal', NULL, '1', '1', NULL),
(10, 5, 'fa fa-check', 'Aktifkan Tugas', '?q=aktifkan-soal', NULL, '1', '1', NULL),
(11, 4, 'fa fa-info-circle', 'Identitas', '?q=identitas', '1', NULL, '1', NULL),
(12, 4, 'fa fa-picture-o', 'Slide', '?q=slide', '', NULL, '1', NULL),
(13, 4, 'fa fa-list-alt', 'Set', '?q=formdaftar', '1', NULL, '1', NULL),
(14, 5, 'fa fa-clone', 'Nilai Siswa', '?q=nilai-siswa', NULL, '1', '1', NULL);

-- --------------------------------------------------------

--
-- Stand-in structure for view `vw_idset`
-- (See below for the actual view)
--
CREATE TABLE `vw_idset` (
`identitas_id` int(11)
,`sekolah` varchar(100)
,`telp` varchar(255)
,`email` varchar(255)
,`alamat` varchar(255)
,`judul` varchar(50)
,`deskripsi` varchar(255)
,`set_id` int(11)
,`set` varchar(255)
,`status` enum('on','off')
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `vw_siswa`
-- (See below for the actual view)
--
CREATE TABLE `vw_siswa` (
`siswa_id` int(11)
,`kelas_sub_id` int(11)
,`id` int(11)
,`nis` varchar(30)
,`pass` varchar(255)
,`foto` varchar(225)
,`nama` varchar(255)
,`panggilan` varchar(255)
,`kelamin` enum('Laki-Laki','Perempuan')
,`alumni` enum('y','n')
,`tgl` date
,`jam` time
,`cover` varchar(255)
,`kelas_id` int(11)
,`nama_kelas` varchar(255)
,`kelas` varchar(11)
,`blokir` enum('y','n')
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `vw_soal`
-- (See below for the actual view)
--
CREATE TABLE `vw_soal` (
`soal_aktif_id` int(11)
,`materi_soal_id` int(11)
,`kelas_sub_id` int(11)
,`menit` int(11)
,`detik` int(11)
,`aktif` enum('aktif','-')
,`tgl` date
,`jam` time
,`guru_id` int(11)
,`pilih_mapel_id` int(11)
,`materi` varchar(255)
,`mapel_id` int(11)
,`mata_pelajaran` varchar(255)
,`nip` varchar(30)
,`nama_guru` varchar(255)
,`siswa_id` int(11)
,`nis` varchar(30)
,`nama` varchar(255)
,`soal_id` int(11)
,`soal` text
,`a` text
,`b` text
,`c` text
,`d` text
,`e` text
,`jawaban` enum('a','b','c','d','e')
,`blokir` enum('y','n')
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `vw_tugas_aktif`
-- (See below for the actual view)
--
CREATE TABLE `vw_tugas_aktif` (
`soal_aktif_id` int(11)
,`materi_soal_id` int(11)
,`pilih_mapel_id` int(11)
,`mapel_id` int(11)
,`kelas_sub_id` int(11)
,`menit` int(11)
,`detik` int(11)
,`aktif` enum('aktif','-')
,`tgl` date
,`jam` time
,`selesai` time
,`kelas_id` int(11)
,`nama_kelas` varchar(255)
,`materi` varchar(255)
,`guru_id` int(11)
,`nama_guru` varchar(255)
,`mata_pelajaran` varchar(255)
);

-- --------------------------------------------------------

--
-- Stand-in structure for view `vw_user`
-- (See below for the actual view)
--
CREATE TABLE `vw_user` (
`user_id` int(11)
,`nama` varchar(255)
,`panggilan` varchar(255)
,`kelas_sub_id` varchar(11)
,`id` varchar(11)
,`nomor` varchar(30)
,`email` varchar(30)
,`pass` varchar(255)
,`level` varchar(5)
);

-- --------------------------------------------------------

--
-- Structure for view `vw_idset`
--
DROP TABLE IF EXISTS `vw_idset`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `vw_idset`  AS  select `tb_identitas`.`identitas_id` AS `identitas_id`,`tb_identitas`.`sekolah` AS `sekolah`,`tb_identitas`.`telp` AS `telp`,`tb_identitas`.`email` AS `email`,`tb_identitas`.`alamat` AS `alamat`,`tb_identitas`.`judul` AS `judul`,`tb_identitas`.`deskripsi` AS `deskripsi`,`tb_set`.`set_id` AS `set_id`,`tb_set`.`set` AS `set`,`tb_set`.`status` AS `status` from (`tb_identitas` join `tb_set` on((`tb_set`.`set_id` = `tb_identitas`.`identitas_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `vw_siswa`
--
DROP TABLE IF EXISTS `vw_siswa`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `vw_siswa`  AS  select `tb_siswa`.`siswa_id` AS `siswa_id`,`tb_siswa`.`kelas_sub_id` AS `kelas_sub_id`,`tb_siswa`.`id` AS `id`,`tb_siswa`.`nis` AS `nis`,`tb_siswa`.`pass` AS `pass`,`tb_siswa`.`foto` AS `foto`,`tb_siswa`.`nama` AS `nama`,`tb_siswa`.`panggilan` AS `panggilan`,`tb_siswa`.`kelamin` AS `kelamin`,`tb_siswa`.`alumni` AS `alumni`,`tb_siswa`.`tgl` AS `tgl`,`tb_siswa`.`jam` AS `jam`,`tb_siswa`.`cover` AS `cover`,`tb_kelas_sub`.`kelas_id` AS `kelas_id`,`tb_kelas_sub`.`nama_kelas` AS `nama_kelas`,`tb_kelas`.`kelas` AS `kelas`,`tb_kelas_sub`.`blokir` AS `blokir` from ((`tb_siswa` join `tb_kelas_sub` on((`tb_siswa`.`kelas_sub_id` = `tb_kelas_sub`.`kelas_sub_id`))) join `tb_kelas` on((`tb_kelas_sub`.`kelas_id` = `tb_kelas`.`kelas_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `vw_soal`
--
DROP TABLE IF EXISTS `vw_soal`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `vw_soal`  AS  select `tb_soal_aktif`.`soal_aktif_id` AS `soal_aktif_id`,`tb_soal_aktif`.`materi_soal_id` AS `materi_soal_id`,`tb_soal_aktif`.`kelas_sub_id` AS `kelas_sub_id`,`tb_soal_aktif`.`menit` AS `menit`,`tb_soal_aktif`.`detik` AS `detik`,`tb_soal_aktif`.`aktif` AS `aktif`,`tb_soal_aktif`.`tgl` AS `tgl`,`tb_soal_aktif`.`jam` AS `jam`,`tb_materi_soal`.`guru_id` AS `guru_id`,`tb_materi_soal`.`pilih_mapel_id` AS `pilih_mapel_id`,`tb_materi_soal`.`materi` AS `materi`,`tb_pilih_mapel`.`mapel_id` AS `mapel_id`,`tb_mapel`.`mata_pelajaran` AS `mata_pelajaran`,`tb_guru`.`nip` AS `nip`,`tb_guru`.`nama` AS `nama_guru`,`tb_siswa`.`siswa_id` AS `siswa_id`,`tb_siswa`.`nis` AS `nis`,`tb_siswa`.`nama` AS `nama`,`tb_soal`.`soal_id` AS `soal_id`,`tb_soal`.`soal` AS `soal`,`tb_soal`.`a` AS `a`,`tb_soal`.`b` AS `b`,`tb_soal`.`c` AS `c`,`tb_soal`.`d` AS `d`,`tb_soal`.`e` AS `e`,`tb_soal`.`jawaban` AS `jawaban`,`tb_soal`.`blokir` AS `blokir` from ((((((`tb_soal_aktif` join `tb_materi_soal` on((`tb_soal_aktif`.`materi_soal_id` = `tb_materi_soal`.`materi_soal_id`))) join `tb_pilih_mapel` on((`tb_materi_soal`.`pilih_mapel_id` = `tb_pilih_mapel`.`pilih_mapel_id`))) join `tb_mapel` on((`tb_pilih_mapel`.`mapel_id` = `tb_mapel`.`mapel_id`))) join `tb_guru` on((`tb_materi_soal`.`guru_id` = `tb_guru`.`guru_id`))) join `tb_siswa` on((`tb_siswa`.`kelas_sub_id` = `tb_soal_aktif`.`kelas_sub_id`))) join `tb_soal` on((`tb_soal`.`materi_soal_id` = `tb_soal_aktif`.`materi_soal_id`))) ;

-- --------------------------------------------------------

--
-- Structure for view `vw_tugas_aktif`
--
DROP TABLE IF EXISTS `vw_tugas_aktif`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `vw_tugas_aktif`  AS  select `sa`.`soal_aktif_id` AS `soal_aktif_id`,`sa`.`materi_soal_id` AS `materi_soal_id`,`ms`.`pilih_mapel_id` AS `pilih_mapel_id`,`pm`.`mapel_id` AS `mapel_id`,`sa`.`kelas_sub_id` AS `kelas_sub_id`,`sa`.`menit` AS `menit`,`sa`.`detik` AS `detik`,`sa`.`aktif` AS `aktif`,`sa`.`tgl` AS `tgl`,`sa`.`jam` AS `jam`,`sa`.`selesai` AS `selesai`,`ks`.`kelas_id` AS `kelas_id`,`ks`.`nama_kelas` AS `nama_kelas`,`ms`.`materi` AS `materi`,`g`.`guru_id` AS `guru_id`,`g`.`nama` AS `nama_guru`,(select `m`.`mata_pelajaran` from `tb_mapel` `m` where (`pm`.`mapel_id` = `m`.`mapel_id`)) AS `mata_pelajaran` from (((((`tb_soal_aktif` `sa` left join `tb_materi_soal` `ms` on((`ms`.`materi_soal_id` = `sa`.`materi_soal_id`))) left join `tb_pilih_mapel` `pm` on((`ms`.`pilih_mapel_id` = `pm`.`pilih_mapel_id`))) left join `tb_kelas_sub` `ks` on((`ks`.`kelas_sub_id` = `sa`.`kelas_sub_id`))) left join `tb_kelas` `k` on((`ks`.`kelas_id` = `k`.`kelas_id`))) left join `tb_guru` `g` on((`ms`.`guru_id` = `g`.`guru_id`))) where (`sa`.`aktif` = 'aktif') ;

-- --------------------------------------------------------

--
-- Structure for view `vw_user`
--
DROP TABLE IF EXISTS `vw_user`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `vw_user`  AS  select `s`.`siswa_id` AS `user_id`,`s`.`nama` AS `nama`,`s`.`panggilan` AS `panggilan`,`s`.`kelas_sub_id` AS `kelas_sub_id`,`s`.`id` AS `id`,`s`.`nis` AS `nomor`,'' AS `email`,`s`.`pass` AS `pass`,'siswa' AS `level` from ((`tb_siswa` `s` left join `tb_kelas_sub` `ks` on((`s`.`kelas_sub_id` = `ks`.`kelas_sub_id`))) left join `tb_kelas` `k` on((`ks`.`kelas_id` = `k`.`kelas_id`))) union select `g`.`guru_id` AS `user_id`,`g`.`nama` AS `nama`,'' AS `panggilan`,'' AS `kelas_sub_id`,'' AS `id`,`g`.`nip` AS `nomor`,'' AS `email`,`g`.`pass` AS `pass`,'guru' AS `level` from `tb_guru` `g` union select `a`.`admin_id` AS `user_id`,`a`.`nama` AS `nama`,'' AS `panggilan`,'' AS `kelas_sub_id`,'' AS `id`,'' AS `nomor`,`a`.`email` AS `email`,`a`.`pass` AS `pass`,`a`.`level` AS `level` from `tb_admin` `a` ;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `tb_admin`
--
ALTER TABLE `tb_admin`
  ADD PRIMARY KEY (`admin_id`);

--
-- Indexes for table `tb_guru`
--
ALTER TABLE `tb_guru`
  ADD PRIMARY KEY (`guru_id`,`nip`);

--
-- Indexes for table `tb_identitas`
--
ALTER TABLE `tb_identitas`
  ADD PRIMARY KEY (`identitas_id`);

--
-- Indexes for table `tb_kelas`
--
ALTER TABLE `tb_kelas`
  ADD PRIMARY KEY (`kelas_id`);

--
-- Indexes for table `tb_kelas_sub`
--
ALTER TABLE `tb_kelas_sub`
  ADD PRIMARY KEY (`kelas_sub_id`);

--
-- Indexes for table `tb_mapel`
--
ALTER TABLE `tb_mapel`
  ADD PRIMARY KEY (`mapel_id`);

--
-- Indexes for table `tb_materi_soal`
--
ALTER TABLE `tb_materi_soal`
  ADD PRIMARY KEY (`materi_soal_id`);

--
-- Indexes for table `tb_nilai_guru`
--
ALTER TABLE `tb_nilai_guru`
  ADD PRIMARY KEY (`nilai_id`);

--
-- Indexes for table `tb_nilai_siswa`
--
ALTER TABLE `tb_nilai_siswa`
  ADD PRIMARY KEY (`nilai_id`);

--
-- Indexes for table `tb_pilih_kelas`
--
ALTER TABLE `tb_pilih_kelas`
  ADD PRIMARY KEY (`pilih_kelas_id`);

--
-- Indexes for table `tb_pilih_mapel`
--
ALTER TABLE `tb_pilih_mapel`
  ADD PRIMARY KEY (`pilih_mapel_id`);

--
-- Indexes for table `tb_set`
--
ALTER TABLE `tb_set`
  ADD PRIMARY KEY (`set_id`);

--
-- Indexes for table `tb_siswa`
--
ALTER TABLE `tb_siswa`
  ADD PRIMARY KEY (`siswa_id`,`nis`);

--
-- Indexes for table `tb_soal`
--
ALTER TABLE `tb_soal`
  ADD PRIMARY KEY (`soal_id`);

--
-- Indexes for table `tb_soal_aktif`
--
ALTER TABLE `tb_soal_aktif`
  ADD PRIMARY KEY (`soal_aktif_id`);

--
-- Indexes for table `ujian_kerjakan`
--
ALTER TABLE `ujian_kerjakan`
  ADD PRIMARY KEY (`kerjakan_id`);

--
-- Indexes for table `ujian_menu`
--
ALTER TABLE `ujian_menu`
  ADD PRIMARY KEY (`menu_id`);

--
-- Indexes for table `ujian_menu_detail`
--
ALTER TABLE `ujian_menu_detail`
  ADD PRIMARY KEY (`menudetail_id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `tb_admin`
--
ALTER TABLE `tb_admin`
  MODIFY `admin_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tb_guru`
--
ALTER TABLE `tb_guru`
  MODIFY `guru_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tb_identitas`
--
ALTER TABLE `tb_identitas`
  MODIFY `identitas_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tb_kelas`
--
ALTER TABLE `tb_kelas`
  MODIFY `kelas_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `tb_kelas_sub`
--
ALTER TABLE `tb_kelas_sub`
  MODIFY `kelas_sub_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT for table `tb_mapel`
--
ALTER TABLE `tb_mapel`
  MODIFY `mapel_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `tb_materi_soal`
--
ALTER TABLE `tb_materi_soal`
  MODIFY `materi_soal_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tb_nilai_guru`
--
ALTER TABLE `tb_nilai_guru`
  MODIFY `nilai_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tb_nilai_siswa`
--
ALTER TABLE `tb_nilai_siswa`
  MODIFY `nilai_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tb_pilih_kelas`
--
ALTER TABLE `tb_pilih_kelas`
  MODIFY `pilih_kelas_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tb_pilih_mapel`
--
ALTER TABLE `tb_pilih_mapel`
  MODIFY `pilih_mapel_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tb_set`
--
ALTER TABLE `tb_set`
  MODIFY `set_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `tb_siswa`
--
ALTER TABLE `tb_siswa`
  MODIFY `siswa_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tb_soal`
--
ALTER TABLE `tb_soal`
  MODIFY `soal_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `tb_soal_aktif`
--
ALTER TABLE `tb_soal_aktif`
  MODIFY `soal_aktif_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `ujian_kerjakan`
--
ALTER TABLE `ujian_kerjakan`
  MODIFY `kerjakan_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `ujian_menu`
--
ALTER TABLE `ujian_menu`
  MODIFY `menu_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=9;

--
-- AUTO_INCREMENT for table `ujian_menu_detail`
--
ALTER TABLE `ujian_menu_detail`
  MODIFY `menudetail_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=15;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
